# LP Ownership represented by NFTs

The full data that is stored in this NFT is:

* Nonce (used for tracking permit nonces)
* The operator (normally a 0 address, unless you have given permission to another to manage the liquidity)
* Token0 address (address of the first token in the pool)
* Token1 address (address of the second token in the pool)
* The pools fee tier (the chosen fee tier of your pool)
* The Lower Tick (the low price boundary of the position)
* The Upper Tick (the upper price boundary of the position)
* Your liquidity value (the value of the liquidity in the position)
* feeGrowthInside0LastX128 (used for Fee tracking on token0)
* feeGrowthInside1LastX128 (used for Fee tracking on token1)
* tokensOwed0 (only used as a temporary value)
* tokensOwed1 (only used as a temporary value)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lif3.com/liquidity/v3/lp-ownership-represented-by-nfts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
